Bug 830525 - wine faild to load wine-gecko
wine faild to load wine-gecko
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
16
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-10 06:49 EDT by morgan read
Modified: 2012-10-11 06:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-18 14:09:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Wine backtrace from Program Error Details (9.32 KB, text/plain)
2012-06-10 06:49 EDT, morgan read
no flags Details

  None (edit)
Description morgan read 2012-06-10 06:49:03 EDT
Created attachment 590719 [details]
Wine backtrace from Program Error Details

Description of problem:
Wine fails to download wine-gecko; fails to load wine-gecko; no wine-gecko installed at /usr/share/wine/gecko/ (see here: http://wiki.winehq.org/Gecko).  Manual install of wine_gecko-1.5-x86.msi to /usr/local/share/wine/gecko causes crash

This seems standard function of upstream wine.

Version-Release number of selected component (if applicable):
$ yum list wine
...
Installed Packages
wine.x86_64                        1.5.3-1.fc16                         @updates


How reproducible:
Always

Steps to Reproduce:
1. Run winecfg to configure new wineprefix
2. At "Wine Gecko Installer" select Install
3.
  
Actual results:
Install crashes and restarts before failing again without restarting

Expected results:
Install of wine-gecko

Additional info:
Wine backtrace from Program Error Details attached.

Terminal outputs of winecfg follows:
$ winecfg
wine: created the configuration directory '/home/morgan/.wine'
fixme:urlmon:DownloadBSC_OnProgress Unsupported status 3
fixme:wininet:InternetLockRequestFile STUB
fixme:storage:create_storagefile Storage share mode not implemented.
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
fixme:iphlpapi:NotifyAddrChange (Handle 0xfee328, overlapped 0xfee2f0): stub
fixme:urlmon:DownloadBSC_OnProgress Unsupported status 3
fixme:wininet:InternetLockRequestFile STUB
wine: Unhandled page fault on read access to 0xe30c8a28 at address 0x7ddf4a2a (thread 0036), starting debugger...
err:seh:raise_exception Unhandled exception code c0000005 flags 0 addr 0x7ef776fa
Could not load wine-gecko. HTML rendering will be disabled.
wine: configuration in '/home/morgan/.wine' has been updated.
$
$ winecfg
wine: created the configuration directory '/home/morgan/.wine'
fixme:urlmon:DownloadBSC_OnProgress Unsupported status 3
fixme:wininet:InternetLockRequestFile STUB
wine: Unhandled page fault at address 0x7f81ef4a6780 (thread 0018), starting debugger...
err:process:__wine_kernel_init boot event wait timed out
Could not load wine-gecko. HTML rendering will be disabled.
fixme:urlmon:DownloadBSC_OnProgress Unsupported status 3
fixme:wininet:InternetLockRequestFile STUB
wine: Unhandled page fault on read access to 0xed80c29f at address 0x7de8ca2a (thread 0035), starting debugger...
Could not load wine-gecko. HTML rendering will be disabled.
wine: configuration in '/home/morgan/.wine' has been updated.
$
Comment 1 Michael Cronenworth 2012-08-18 14:09:39 EDT
The wine-gecko package is now part of Fedora.

# yum install mingw32-wine-gecko mingw64-wine-gecko
Comment 2 morgan read 2012-09-12 06:07:25 EDT
# yum install mingw32-wine-gecko mingw64-wine-gecko
Loaded plugins: dellsysid, fastestmirror, langpacks, presto, refresh-packagekit
Loading mirror speeds from cached hostfile
 * fedora: mirror.bytemark.co.uk
 * fedora-source: mirror.bytemark.co.uk
 * rpmfusion-free: mirror01.th.ifl.net
 * rpmfusion-free-updates: mirror01.th.ifl.net
 * rpmfusion-nonfree: mirror01.th.ifl.net
 * rpmfusion-nonfree-updates: mirror01.th.ifl.net
 * updates: mirror.bytemark.co.uk
 * updates-source: mirror.bytemark.co.uk
No package mingw32-wine-gecko available.
No package mingw64-wine-gecko available.
Error: Nothing to do

Currnet release 17 not 16?
Thx
Comment 3 Andreas Bierfert 2012-09-12 08:52:24 EDT
Only for >=F17

F16 does not have the needed mingw parts.
Comment 4 morgan read 2012-10-11 06:14:53 EDT
Oh, thank you.

Note You need to log in before you can comment on or make changes to this bug.